<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo\ForwardedNewsletterMessageInfo;

use UnexpectedValueException;




class ContentType
{
    


    const CONTENT_TYPE_UNSPECIFIED = 0;
    


    const UPDATE = 1;
    


    const UPDATE_CARD = 2;
    


    const LINK_CARD = 3;

    private static $valueToName = [
        self::CONTENT_TYPE_UNSPECIFIED => 'CONTENT_TYPE_UNSPECIFIED',
        self::UPDATE => 'UPDATE',
        self::UPDATE_CARD => 'UPDATE_CARD',
        self::LINK_CARD => 'LINK_CARD',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

